import { _ as __assign } from '../../chunks/bundle-BvGPxdgc.js';
import React__default, { useState } from 'react';
import { u as useChannelSettings } from '../../chunks/bundle-DKW7_WWj.js';
import { u as useLocalization } from '../../chunks/bundle-MU-n4WB7.js';
import { useMenuItems } from '../hooks/useMenuList.js';
import { d as deleteNullish, c as classnames } from '../../chunks/bundle-BoCpB627.js';
import { ChannelSettingsHeader } from './ChannelSettingsHeader.js';
import PlaceHolder, { PlaceHolderTypes } from '../../ui/PlaceHolder.js';
import { L as Label, a as LabelTypography, b as LabelColors } from '../../chunks/bundle-CoqWx1L6.js';
import Icon, { IconTypes, IconColors } from '../../ui/Icon.js';
import ChannelProfile from './ChannelProfile.js';
import LeaveChannel from './LeaveChannel.js';
import { MenuItem } from './ChannelSettingsMenuItem.js';
import { MenuListByRole } from './ChannelSettingMenuList.js';
import { u as useSendbird } from '../../chunks/bundle-D7cX9Fjm.js';
export { B as BannedUserList, M as MutedMemberList, O as OperatorList } from '../../chunks/bundle-DLOgtfcc.js';
export { M as MemberList } from '../../chunks/bundle-CNfgarJU.js';
import '../../chunks/bundle-B7LJP6uD.js';
import '../../chunks/bundle-T8eF3MdZ.js';
import '@sendbird/chat/groupChannel';
import '../../chunks/bundle-CTtRmLaQ.js';
import '../../chunks/bundle-DcJrfmnR.js';
import '../../chunks/bundle-CjtOeKDH.js';
import '../../chunks/bundle-BKZt9o1F.js';
import '../../chunks/bundle-DkXJrVqz.js';
import '../../ui/Badge.js';
import '../../ui/Toggle.js';
import '../../ui/Header.js';
import '../../chunks/bundle-DgySHYkz.js';
import '../../ui/TextButton.js';
import '../../chunks/bundle-Bpv5h56D.js';
import '../../ui/IconButton.js';
import '../../ui/Loader.js';
import '../../ui/ChannelAvatar.js';
import '../../chunks/bundle-DCmMZLn8.js';
import '../../ui/ImageRenderer.js';
import '../../chunks/bundle-B5YnH_bZ.js';
import '../../chunks/bundle-paE3yw-E.js';
import './EditDetailsModal.js';
import '../../chunks/bundle-BZABTuI8.js';
import 'react-dom';
import '../../ui/Button.js';
import '../../ui/Input.js';
import '../../chunks/bundle-CDxHBrmg.js';
import '../../utils/message/getOutgoingMessageState.js';
import '../../chunks/bundle-KRH4HO2b.js';
import '../../chunks/bundle-Eoom7SNM.js';
import '../../chunks/bundle-BYR5uV_H.js';
import '../../chunks/bundle-BID6Oznq.js';
import '@sendbird/chat/message';
import '@sendbird/chat';
import '@sendbird/chat/openChannel';
import '../../chunks/bundle-D4Qx18jn.js';
import '../../chunks/bundle-CwFhwvI0.js';
import '../../ui/SortByRow.js';
import '../../ui/UserListItem.js';
import '../../ui/MutedAvatarOverlay.js';
import '../../ui/Checkbox.js';
import '../../ui/UserProfile.js';
import '../../sendbirdSelectors.js';
import '../../chunks/bundle-DnyHxqQ0.js';
import '../../chunks/bundle-CQmP70o-.js';
import '@sendbird/uikit-tools';
import '../../chunks/bundle-ZNC8CUp_.js';

var ChannelSettingsUI = function (props) {
    var _a = deleteNullish(props), _b = _a.renderHeader, renderHeader = _b === void 0 ? function (props) { return React__default.createElement(ChannelSettingsHeader, __assign({}, props)); } : _b, renderLeaveChannel = _a.renderLeaveChannel, renderChannelProfile = _a.renderChannelProfile, _c = _a.renderModerationPanel, renderModerationPanel = _c === void 0 ? function (props) { return React__default.createElement(MenuListByRole, __assign({}, props)); } : _c, renderPlaceholderError = _a.renderPlaceholderError, renderPlaceholderLoading = _a.renderPlaceholderLoading;
    var state = useSendbird().state;
    var isOnline = state.config.isOnline;
    var _d = useChannelSettings().state, channel = _d.channel, invalidChannel = _d.invalidChannel, onCloseClick = _d.onCloseClick, loading = _d.loading;
    var stringSet = useLocalization().stringSet;
    var menuItems = useMenuItems();
    var _e = useState(false), showLeaveChannelModal = _e[0], setShowLeaveChannelModal = _e[1];
    if (loading) {
        if (renderPlaceholderLoading)
            return renderPlaceholderLoading();
        return React__default.createElement(PlaceHolder, { type: PlaceHolderTypes.LOADING });
    }
    var headerProps = { onCloseClick: onCloseClick };
    if (invalidChannel || !channel) {
        return (React__default.createElement("div", null,
            renderHeader(headerProps),
            React__default.createElement("div", null, renderPlaceholderError ? renderPlaceholderError() : React__default.createElement(PlaceHolder, { type: PlaceHolderTypes.WRONG }))));
    }
    return (React__default.createElement(React__default.Fragment, null,
        renderHeader(headerProps),
        React__default.createElement("div", { className: "sendbird-channel-settings__scroll-area" },
            (renderChannelProfile === null || renderChannelProfile === void 0 ? void 0 : renderChannelProfile()) || React__default.createElement(ChannelProfile, null), renderModerationPanel === null || renderModerationPanel === void 0 ? void 0 :
            renderModerationPanel({ menuItems: menuItems }),
            (renderLeaveChannel === null || renderLeaveChannel === void 0 ? void 0 : renderLeaveChannel()) || (React__default.createElement(MenuItem, { className: classnames(!isOnline ? 'sendbird-channel-settings__panel-item__disabled' : '', 'sendbird-channel-settings__panel-item__leave-channel'), onKeyDown: function () {
                    if (!isOnline)
                        return;
                    setShowLeaveChannelModal(true);
                }, onClick: function () {
                    if (!isOnline)
                        return;
                    setShowLeaveChannelModal(true);
                }, renderLeft: function () { return (React__default.createElement(Icon, { className: ['sendbird-channel-settings__panel-icon-left', 'sendbird-channel-settings__panel-icon__leave'].join(' '), type: IconTypes.LEAVE, fillColor: IconColors.ERROR, height: "24px", width: "24px" })); }, renderMiddle: function () { return (React__default.createElement(Label, { type: LabelTypography.SUBTITLE_1, color: LabelColors.ONBACKGROUND_1 }, stringSet.CHANNEL_SETTING__LEAVE_CHANNEL__TITLE)); } })),
            showLeaveChannelModal && (React__default.createElement(LeaveChannel, { onCancel: function () {
                    setShowLeaveChannelModal(false);
                }, onSubmit: function () {
                    setShowLeaveChannelModal(false);
                    onCloseClick === null || onCloseClick === void 0 ? void 0 : onCloseClick();
                } })))));
};

export { ChannelSettingsUI as default };
//# sourceMappingURL=ChannelSettingsUI.js.map
