import React__default, { useState } from 'react';
import { u as useChannelSettings } from '../../chunks/bundle-DKW7_WWj.js';
import { u as useLocalization } from '../../chunks/bundle-MU-n4WB7.js';
import Badge from '../../ui/Badge.js';
import { L as Label, a as LabelTypography, b as LabelColors } from '../../chunks/bundle-CoqWx1L6.js';
import Icon, { IconTypes, IconColors } from '../../ui/Icon.js';
import { M as MemberList } from '../../chunks/bundle-CNfgarJU.js';
import '../../chunks/bundle-BvGPxdgc.js';
import '../../chunks/bundle-B7LJP6uD.js';
import '../../chunks/bundle-T8eF3MdZ.js';
import '@sendbird/chat/groupChannel';
import '../../chunks/bundle-CTtRmLaQ.js';
import '../../chunks/bundle-DcJrfmnR.js';
import '../../chunks/bundle-BoCpB627.js';
import '../../chunks/bundle-CjtOeKDH.js';
import '../../chunks/bundle-D7cX9Fjm.js';
import '@sendbird/chat';
import '@sendbird/chat/openChannel';
import '../../chunks/bundle-BKZt9o1F.js';
import '../../chunks/bundle-DkXJrVqz.js';
import '../../ui/Button.js';
import '../../chunks/bundle-D4Qx18jn.js';
import '../../chunks/bundle-CwFhwvI0.js';
import 'react-dom';
import '../../ui/SortByRow.js';
import '../../ui/IconButton.js';
import '../../chunks/bundle-CDxHBrmg.js';
import '../../utils/message/getOutgoingMessageState.js';
import '../../chunks/bundle-KRH4HO2b.js';
import '../../chunks/bundle-Eoom7SNM.js';
import '../../chunks/bundle-BYR5uV_H.js';
import '../../ui/UserListItem.js';
import '../../chunks/bundle-DCmMZLn8.js';
import '../../ui/ImageRenderer.js';
import '../../chunks/bundle-B5YnH_bZ.js';
import '../../ui/MutedAvatarOverlay.js';
import '../../ui/Checkbox.js';
import '../../ui/UserProfile.js';
import '../../sendbirdSelectors.js';
import '../../chunks/bundle-DnyHxqQ0.js';
import '../../chunks/bundle-BZABTuI8.js';
import '../../chunks/bundle-DgySHYkz.js';
import '../../chunks/bundle-CQmP70o-.js';
import '../../chunks/bundle-BID6Oznq.js';
import '@sendbird/chat/message';
import '@sendbird/uikit-tools';
import '../../chunks/bundle-ZNC8CUp_.js';

var kFormatter = function (num) {
    return Math.abs(num) > 999
        ? "".concat((Math.abs(num) / 1000).toFixed(1), "K")
        : num;
};
var UserPanel = function () {
    var stringSet = useLocalization().stringSet;
    var _a = useState(false), showAccordion = _a[0], setShowAccordion = _a[1];
    var channel = useChannelSettings().state.channel;
    return (React__default.createElement("div", { className: 'sendbird-channel-settings__user-panel' },
        React__default.createElement("div", { className: [
                'sendbird-channel-settings__panel-item',
                'sendbird-channel-settings__members',
            ].join(' '), role: "switch", "aria-checked": showAccordion, onKeyDown: function () { return setShowAccordion(!showAccordion); }, onClick: function () { return setShowAccordion(!showAccordion); }, tabIndex: 0 },
            React__default.createElement(Icon, { className: "sendbird-channel-settings__panel-icon-left", type: IconTypes.MEMBERS, fillColor: IconColors.PRIMARY, height: "24px", width: "24px" }),
            React__default.createElement(Label, { type: LabelTypography.SUBTITLE_1, color: LabelColors.ONBACKGROUND_1 },
                stringSet.CHANNEL_SETTING__MEMBERS__TITLE,
                React__default.createElement(Badge, { className: 'sendbird-channel-settings__badge', count: channel ? kFormatter(channel === null || channel === void 0 ? void 0 : channel.memberCount) : '' })),
            React__default.createElement(Icon, { className: [
                    'sendbird-channel-settings__panel-icon-right',
                    'sendbird-channel-settings__panel-icon--chevron',
                    (showAccordion ? 'sendbird-channel-settings__panel-icon--open' : ''),
                ].join(' '), type: IconTypes.CHEVRON_RIGHT, height: "24px", width: "24px" })),
        showAccordion && (React__default.createElement(MemberList, null))));
};

export { UserPanel as default };
//# sourceMappingURL=UserPanel.js.map
