import React__default, { useContext } from 'react';
import { L as LocalizationContext } from '../../chunks/bundle-MU-n4WB7.js';
import MessageInput from '../../ui/MessageInput.js';
import { u as useOpenChannelContext } from '../../chunks/bundle-DuxNodq3.js';
import '../../chunks/bundle-BvGPxdgc.js';
import '../../chunks/bundle-BKZt9o1F.js';
import '../../chunks/bundle-DkXJrVqz.js';
import '../../chunks/bundle-Cx8h9ZUu.js';
import '../../chunks/bundle-C5Ih9B7Z.js';
import '../../ui/IconButton.js';
import '../../ui/Button.js';
import '../../chunks/bundle-CoqWx1L6.js';
import '../../chunks/bundle-CUG8aQUl.js';
import 'dompurify';
import '../../chunks/bundle-BBzNJkTC.js';
import '../../chunks/bundle-BntU6xha.js';
import '../../chunks/bundle-BTRsBhSP.js';
import '../../ui/Icon.js';
import '../../chunks/bundle-BoCpB627.js';
import '../../chunks/bundle-CDxHBrmg.js';
import '@sendbird/chat/groupChannel';
import '../../utils/message/getOutgoingMessageState.js';
import '../../chunks/bundle-KRH4HO2b.js';
import '../../chunks/bundle-Eoom7SNM.js';
import '../../chunks/bundle-BYR5uV_H.js';
import '../../chunks/bundle-T8eF3MdZ.js';
import '../../chunks/bundle-Cx0ij_p6.js';
import '../../chunks/bundle-D7cX9Fjm.js';
import '../../chunks/bundle-B7LJP6uD.js';
import '@sendbird/chat';
import '@sendbird/chat/openChannel';
import '../../chunks/bundle-CjtOeKDH.js';
import '../../chunks/bundle-DcJrfmnR.js';
import '../../chunks/bundle-DnyHxqQ0.js';
import '../../chunks/bundle-CTtRmLaQ.js';
import '../../chunks/bundle-B83hoJ_j.js';
import '../../chunks/bundle-B5YnH_bZ.js';
import '../../hooks/useModal.js';
import '../../chunks/bundle-BZABTuI8.js';
import 'react-dom';
import '../../chunks/bundle-DgySHYkz.js';

var OpenChannelInput = React__default.forwardRef(function (props, ref) {
    var _a = useOpenChannelContext(), currentOpenChannel = _a.currentOpenChannel, disabled = _a.disabled, handleSendMessage = _a.handleSendMessage, handleFileUpload = _a.handleFileUpload, amIMuted = _a.amIMuted;
    var channel = currentOpenChannel;
    var stringSet = useContext(LocalizationContext).stringSet;
    var value = props.value;
    function getPlaceHolderString() {
        if (amIMuted) {
            return stringSet.MESSAGE_INPUT__PLACE_HOLDER__MUTED;
        }
        if (disabled) {
            return stringSet.MESSAGE_INPUT__PLACE_HOLDER__DISABLED;
        }
        return '';
    }
    if (!channel) {
        return null;
    }
    return (React__default.createElement("div", { className: "sendbird-openchannel-footer" },
        React__default.createElement(MessageInput, { channel: currentOpenChannel, ref: ref, value: value, disabled: disabled, isVoiceMessageEnabled: false, onSendMessage: handleSendMessage, onFileUpload: handleFileUpload, placeholder: getPlaceHolderString() })));
});

export { OpenChannelInput as default };
//# sourceMappingURL=OpenChannelInput.js.map
