import React__default from 'react';
import { u as useOpenChannelContext } from '../../chunks/bundle-DuxNodq3.js';
import OpenChannelInput from './OpenChannelInput.js';
import FrozenNotification from './FrozenChannelNotification.js';
import OpenchannelConversationHeader from './OpenChannelHeader.js';
import PlaceHolder, { PlaceHolderTypes } from '../../ui/PlaceHolder.js';
import OpenChannelMessageList from './OpenChannelMessageList.js';
import '../../chunks/bundle-MU-n4WB7.js';
import '../../chunks/bundle-BvGPxdgc.js';
import '../../chunks/bundle-BKZt9o1F.js';
import '../../chunks/bundle-DkXJrVqz.js';
import '../../chunks/bundle-CjtOeKDH.js';
import '../../chunks/bundle-D7cX9Fjm.js';
import '../../chunks/bundle-B7LJP6uD.js';
import '../../chunks/bundle-T8eF3MdZ.js';
import '@sendbird/chat';
import '@sendbird/chat/groupChannel';
import '@sendbird/chat/openChannel';
import '../../chunks/bundle-DcJrfmnR.js';
import '../../chunks/bundle-DnyHxqQ0.js';
import '../../chunks/bundle-CTtRmLaQ.js';
import '../../chunks/bundle-B83hoJ_j.js';
import '../../chunks/bundle-B5YnH_bZ.js';
import '../../hooks/useModal.js';
import '../../chunks/bundle-Eoom7SNM.js';
import '../../chunks/bundle-BoCpB627.js';
import '../../chunks/bundle-BZABTuI8.js';
import 'react-dom';
import '../../chunks/bundle-DgySHYkz.js';
import '../../ui/IconButton.js';
import '../../ui/Button.js';
import '../../chunks/bundle-CoqWx1L6.js';
import '../../ui/Icon.js';
import '../../ui/MessageInput.js';
import '../../chunks/bundle-Cx8h9ZUu.js';
import '../../chunks/bundle-C5Ih9B7Z.js';
import '../../chunks/bundle-CUG8aQUl.js';
import 'dompurify';
import '../../chunks/bundle-BBzNJkTC.js';
import '../../chunks/bundle-BntU6xha.js';
import '../../chunks/bundle-BTRsBhSP.js';
import '../../chunks/bundle-CDxHBrmg.js';
import '../../utils/message/getOutgoingMessageState.js';
import '../../chunks/bundle-KRH4HO2b.js';
import '../../chunks/bundle-BYR5uV_H.js';
import '../../chunks/bundle-Cx0ij_p6.js';
import '../../chunks/bundle-DCmMZLn8.js';
import '../../ui/ImageRenderer.js';
import '../../ui/Loader.js';
import '../../chunks/bundle-DYBstvIJ.js';
import './OpenChannelMessage.js';
import '../../chunks/bundle-Bmdb9pIK.js';
import '../../ui/OpenchannelUserMessage.js';
import '../../chunks/bundle-CwFhwvI0.js';
import '../../ui/SortByRow.js';
import '../../ui/UserProfile.js';
import '../../sendbirdSelectors.js';
import '../../chunks/bundle-BIpsQoZM.js';
import '../../chunks/bundle-Dxu9l-xP.js';
import '../../chunks/bundle-BX570l_k.js';
import '../../ui/OpenChannelAdminMessage.js';
import '../../ui/OpenchannelOGMessage.js';
import '../../ui/LinkLabel.js';
import '../../chunks/bundle-DjDbKets.js';
import '../../Message/context.js';
import '../../ui/MentionLabel.js';
import '../../ui/OpenchannelThumbnailMessage.js';
import '../../ui/OpenchannelFileMessage.js';
import '../../ui/TextButton.js';
import '../../chunks/bundle-Bpv5h56D.js';
import '../../ui/DateSeparator.js';
import '../../ui/FileViewer.js';
import '../../chunks/bundle-DOwPISeS.js';
import '@sendbird/uikit-tools';
import '../../chunks/bundle-ClP2v0RX.js';
import '../../chunks/bundle-tjmSjVLm.js';
import '../../chunks/bundle-ZNC8CUp_.js';
import '../../chunks/bundle-BID6Oznq.js';
import '@sendbird/chat/message';
import '../../Channel/utils/compareMessagesForGrouping.js';

var COMPONENT_CLASS_NAME = 'sendbird-openchannel-conversation';
var OpenChannelUI = function (_a) {
    var renderMessage = _a.renderMessage, renderHeader = _a.renderHeader, renderPlaceHolderEmptyList = _a.renderPlaceHolderEmptyList, renderPlaceHolderError = _a.renderPlaceHolderError, renderPlaceHolderLoading = _a.renderPlaceHolderLoading, renderMessageInput = _a.renderMessageInput, renderInput = _a.renderInput;
    var _b = useOpenChannelContext(), currentOpenChannel = _b.currentOpenChannel, amIBanned = _b.amIBanned, loading = _b.loading, isInvalid = _b.isInvalid, messageInputRef = _b.messageInputRef, conversationScrollRef = _b.conversationScrollRef;
    if (!currentOpenChannel
        || !(currentOpenChannel === null || currentOpenChannel === void 0 ? void 0 : currentOpenChannel.url)
        || amIBanned) {
        return ((renderPlaceHolderError === null || renderPlaceHolderError === void 0 ? void 0 : renderPlaceHolderError())
            || React__default.createElement("div", { className: COMPONENT_CLASS_NAME },
                React__default.createElement(PlaceHolder, { type: PlaceHolderTypes.NO_CHANNELS })));
    }
    if (loading) {
        return ((renderPlaceHolderLoading === null || renderPlaceHolderLoading === void 0 ? void 0 : renderPlaceHolderLoading())
            || React__default.createElement("div", { className: COMPONENT_CLASS_NAME },
                React__default.createElement(PlaceHolder, { type: PlaceHolderTypes.LOADING })));
    }
    if (isInvalid) {
        return ((renderPlaceHolderError === null || renderPlaceHolderError === void 0 ? void 0 : renderPlaceHolderError())
            || React__default.createElement("div", { className: COMPONENT_CLASS_NAME },
                React__default.createElement(PlaceHolder, { type: PlaceHolderTypes.WRONG })));
    }
    var renderInputComponent = renderMessageInput || renderInput;
    return (React__default.createElement("div", { className: COMPONENT_CLASS_NAME },
        (renderHeader === null || renderHeader === void 0 ? void 0 : renderHeader()) || React__default.createElement(OpenchannelConversationHeader, null),
        (currentOpenChannel === null || currentOpenChannel === void 0 ? void 0 : currentOpenChannel.isFrozen) && React__default.createElement(FrozenNotification, null),
        React__default.createElement(OpenChannelMessageList, { ref: conversationScrollRef, renderMessage: renderMessage, renderPlaceHolderEmptyList: renderPlaceHolderEmptyList }),
        (renderInputComponent === null || renderInputComponent === void 0 ? void 0 : renderInputComponent()) || React__default.createElement(OpenChannelInput, { ref: messageInputRef })));
};

export { OpenChannelUI as default };
//# sourceMappingURL=OpenChannelUI.js.map
