import React__default, { useState, useContext } from 'react';
import { L as LocalizationContext } from '../../chunks/bundle-MU-n4WB7.js';
import { L as Label, a as LabelTypography, b as LabelColors } from '../../chunks/bundle-CoqWx1L6.js';
import TextButton from '../../ui/TextButton.js';
import ChannelAvatar from '../../ui/OpenChannelAvatar.js';
import EditDetails from './EditDetailsModal.js';
import { useOpenChannelSettingsContext } from '../context.js';
import { u as useSendbird } from '../../chunks/bundle-D7cX9Fjm.js';
import '../../chunks/bundle-BvGPxdgc.js';
import '../../chunks/bundle-BKZt9o1F.js';
import '../../chunks/bundle-DkXJrVqz.js';
import '../../chunks/bundle-Bpv5h56D.js';
import '../../chunks/bundle-DCmMZLn8.js';
import '../../ui/ImageRenderer.js';
import '../../chunks/bundle-BoCpB627.js';
import '../../chunks/bundle-B5YnH_bZ.js';
import '../../ui/Icon.js';
import '../../chunks/bundle-paE3yw-E.js';
import '../../chunks/bundle-DnyHxqQ0.js';
import '../../chunks/bundle-BZABTuI8.js';
import 'react-dom';
import '../../chunks/bundle-DgySHYkz.js';
import '../../ui/IconButton.js';
import '../../ui/Button.js';
import '../../chunks/bundle-CTtRmLaQ.js';
import '../../ui/Input.js';
import '@sendbird/chat/openChannel';
import '../../chunks/bundle-CjtOeKDH.js';
import '../../chunks/bundle-B7LJP6uD.js';
import '../../chunks/bundle-T8eF3MdZ.js';
import '@sendbird/chat';
import '@sendbird/chat/groupChannel';

function ChannelProfile() {
    var _a, _b;
    var state = useSendbird().state;
    var disabled = !((_a = state === null || state === void 0 ? void 0 : state.config) === null || _a === void 0 ? void 0 : _a.isOnline);
    var theme = (_b = state === null || state === void 0 ? void 0 : state.config) === null || _b === void 0 ? void 0 : _b.theme;
    var channel = useOpenChannelSettingsContext().channel;
    var title = channel === null || channel === void 0 ? void 0 : channel.name;
    var _c = useState(false), showModal = _c[0], setShowModal = _c[1];
    var stringSet = useContext(LocalizationContext).stringSet;
    return (React__default.createElement("div", { className: "sendbird-openchannel-profile" },
        React__default.createElement("div", { className: "sendbird-openchannel-profile--inner" },
            React__default.createElement("div", { className: "sendbird-openchannel-profile__avatar" },
                React__default.createElement(ChannelAvatar, { channel: channel, theme: theme, height: 80, width: 80 })),
            React__default.createElement(Label, { type: LabelTypography.SUBTITLE_2, color: LabelColors.ONBACKGROUND_1, className: "sendbird-openchannel-profile__title" }, title || stringSet.OPEN_CHANNEL_SETTINGS__NO_TITLE),
            React__default.createElement(TextButton, { disabled: disabled, className: "sendbird-openchannel-profile__edit", onClick: function () {
                    if (disabled) {
                        return;
                    }
                    setShowModal(true);
                }, disableUnderline: true },
                React__default.createElement(Label, { type: LabelTypography.BUTTON_1, color: disabled ? LabelColors.ONBACKGROUND_2 : LabelColors.PRIMARY }, stringSet.CHANNEL_SETTING__PROFILE__EDIT)),
            showModal && (React__default.createElement(EditDetails, { onCancel: function () { return setShowModal(false); } })))));
}

export { ChannelProfile as default };
//# sourceMappingURL=OpenChannelProfile.js.map
