'use strict';

var React = require('react');
var useChannelSettings = require('../../chunks/bundle-DOuI16f9.js');
var LocalizationContext = require('../../chunks/bundle-JJrresQy.js');
var ui_Badge = require('../../ui/Badge.js');
var ui_Label = require('../../chunks/bundle-DzHIrb6T.js');
var ui_Icon = require('../../ui/Icon.js');
var MemberList = require('../../chunks/bundle-CHXOpzUL.js');
require('../../chunks/bundle-CXy_f9TW.js');
require('../../chunks/bundle-BT-tqAqU.js');
require('../../chunks/bundle-MlGqIlFr.js');
require('@sendbird/chat/groupChannel');
require('../../chunks/bundle-l3NOX5JV.js');
require('../../chunks/bundle-BE91vSly.js');
require('../../chunks/bundle-8acuAHPD.js');
require('../../chunks/bundle-D4UzJ-7q.js');
require('../../chunks/bundle-CnSWKGc4.js');
require('@sendbird/chat');
require('@sendbird/chat/openChannel');
require('../../chunks/bundle-C-c3245O.js');
require('../../chunks/bundle-CBwYCeZb.js');
require('../../ui/Button.js');
require('../../chunks/bundle-VmBxGdtN.js');
require('../../chunks/bundle-93bWzNKo.js');
require('react-dom');
require('../../ui/SortByRow.js');
require('../../ui/IconButton.js');
require('../../chunks/bundle-DdnCy8Je.js');
require('../../utils/message/getOutgoingMessageState.js');
require('../../chunks/bundle-71dqgbWK.js');
require('../../chunks/bundle-B8JKZQ6b.js');
require('../../chunks/bundle-BE0tBkIE.js');
require('../../ui/UserListItem.js');
require('../../chunks/bundle-BzwktTo_.js');
require('../../ui/ImageRenderer.js');
require('../../chunks/bundle-C8fqEvFP.js');
require('../../ui/MutedAvatarOverlay.js');
require('../../ui/Checkbox.js');
require('../../ui/UserProfile.js');
require('../../sendbirdSelectors.js');
require('../../chunks/bundle-QDr-C4Po.js');
require('../../chunks/bundle-_5GthuIG.js');
require('../../chunks/bundle-DhNJkytP.js');
require('../../chunks/bundle-CZjDXe9_.js');
require('../../chunks/bundle-uvtr8RQn.js');
require('@sendbird/chat/message');
require('@sendbird/uikit-tools');
require('../../chunks/bundle-Btaa15jO.js');

function _interopDefaultCompat (e) { return e && typeof e === 'object' && 'default' in e ? e : { default: e }; }

var React__default = /*#__PURE__*/_interopDefaultCompat(React);

var kFormatter = function (num) {
    return Math.abs(num) > 999
        ? "".concat((Math.abs(num) / 1000).toFixed(1), "K")
        : num;
};
var UserPanel = function () {
    var stringSet = LocalizationContext.useLocalization().stringSet;
    var _a = React.useState(false), showAccordion = _a[0], setShowAccordion = _a[1];
    var channel = useChannelSettings.useChannelSettings().state.channel;
    return (React__default.default.createElement("div", { className: 'sendbird-channel-settings__user-panel' },
        React__default.default.createElement("div", { className: [
                'sendbird-channel-settings__panel-item',
                'sendbird-channel-settings__members',
            ].join(' '), role: "switch", "aria-checked": showAccordion, onKeyDown: function () { return setShowAccordion(!showAccordion); }, onClick: function () { return setShowAccordion(!showAccordion); }, tabIndex: 0 },
            React__default.default.createElement(ui_Icon.default, { className: "sendbird-channel-settings__panel-icon-left", type: ui_Icon.IconTypes.MEMBERS, fillColor: ui_Icon.IconColors.PRIMARY, height: "24px", width: "24px" }),
            React__default.default.createElement(ui_Label.Label, { type: ui_Label.LabelTypography.SUBTITLE_1, color: ui_Label.LabelColors.ONBACKGROUND_1 },
                stringSet.CHANNEL_SETTING__MEMBERS__TITLE,
                React__default.default.createElement(ui_Badge, { className: 'sendbird-channel-settings__badge', count: channel ? kFormatter(channel === null || channel === void 0 ? void 0 : channel.memberCount) : '' })),
            React__default.default.createElement(ui_Icon.default, { className: [
                    'sendbird-channel-settings__panel-icon-right',
                    'sendbird-channel-settings__panel-icon--chevron',
                    (showAccordion ? 'sendbird-channel-settings__panel-icon--open' : ''),
                ].join(' '), type: ui_Icon.IconTypes.CHEVRON_RIGHT, height: "24px", width: "24px" })),
        showAccordion && (React__default.default.createElement(MemberList.MemberList, null))));
};

module.exports = UserPanel;
//# sourceMappingURL=UserPanel.js.map
