'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var LocalizationContext = require('../../chunks/bundle-JJrresQy.js');
var ui_Avatar = require('../../chunks/bundle-BzwktTo_.js');
var ui_Label = require('../../chunks/bundle-DzHIrb6T.js');
var ui_Header = require('../../ui/Header.js');
var utils = require('../../chunks/bundle-8acuAHPD.js');
var useSendbird = require('../../chunks/bundle-CnSWKGc4.js');
require('../../chunks/bundle-CXy_f9TW.js');
require('../../chunks/bundle-C-c3245O.js');
require('../../chunks/bundle-CBwYCeZb.js');
require('../../ui/ImageRenderer.js');
require('../../chunks/bundle-C8fqEvFP.js');
require('../../ui/Icon.js');
require('../../chunks/bundle-DhNJkytP.js');
require('../../ui/TextButton.js');
require('../../chunks/bundle-BzxkBOcv.js');
require('../../ui/IconButton.js');
require('../../chunks/bundle-BT-tqAqU.js');
require('../../chunks/bundle-MlGqIlFr.js');
require('@sendbird/chat');
require('@sendbird/chat/groupChannel');
require('@sendbird/chat/openChannel');

function _interopDefaultCompat (e) { return e && typeof e === 'object' && 'default' in e ? e : { default: e }; }

var React__default = /*#__PURE__*/_interopDefaultCompat(React);

var GroupChannelListHeader = function (_a) {
    var renderTitle = _a.renderTitle, renderIconButton = _a.renderIconButton, onEdit = _a.onEdit, allowProfileEdit = _a.allowProfileEdit, 
    // Header custom props
    renderLeft = _a.renderLeft, renderMiddle = _a.renderMiddle, renderRight = _a.renderRight;
    var user = useSendbird.useSendbird().state.stores.userStore.user;
    var stringSet = LocalizationContext.useLocalization().stringSet;
    var renderProfile = renderMiddle !== null && renderMiddle !== void 0 ? renderMiddle : renderTitle;
    return (React__default.default.createElement(ui_Header.default, { className: utils.classnames('sendbird-channel-header', allowProfileEdit && 'sendbird-channel-header--allow-edit'), renderLeft: renderLeft, renderMiddle: function () {
            var _a;
            return ((_a = renderProfile === null || renderProfile === void 0 ? void 0 : renderProfile()) !== null && _a !== void 0 ? _a : (React__default.default.createElement("div", { className: "sendbird-channel-header__title", role: "button", onClick: function () {
                    onEdit === null || onEdit === void 0 ? void 0 : onEdit();
                }, onKeyDown: function () {
                    onEdit === null || onEdit === void 0 ? void 0 : onEdit();
                }, tabIndex: 0 },
                React__default.default.createElement("div", { className: "sendbird-channel-header__title__left" },
                    React__default.default.createElement(ui_Avatar.Avatar, { width: "32px", height: "32px", src: user.profileUrl, alt: user.nickname })),
                React__default.default.createElement("div", { className: "sendbird-channel-header__title__right" },
                    React__default.default.createElement(ui_Label.Label, { className: "sendbird-channel-header__title__right__name", type: ui_Label.LabelTypography.SUBTITLE_2, color: ui_Label.LabelColors.ONBACKGROUND_1 }, user.nickname || stringSet.NO_NAME),
                    React__default.default.createElement(ui_Label.Label, { className: "sendbird-channel-header__title__right__user-id", type: ui_Label.LabelTypography.BODY_2, color: ui_Label.LabelColors.ONBACKGROUND_2 }, user.userId)))));
        }, renderRight: renderRight !== null && renderRight !== void 0 ? renderRight : renderIconButton }));
};

exports.GroupChannelListHeader = GroupChannelListHeader;
exports.default = GroupChannelListHeader;
//# sourceMappingURL=GroupChannelListHeader.js.map
