'use strict';

var React = require('react');
var LocalizationContext = require('../../chunks/bundle-JJrresQy.js');
var ui_MessageInput = require('../../ui/MessageInput.js');
var OpenChannel_context = require('../../chunks/bundle-DrnK8T0C.js');
require('../../chunks/bundle-CXy_f9TW.js');
require('../../chunks/bundle-C-c3245O.js');
require('../../chunks/bundle-CBwYCeZb.js');
require('../../chunks/bundle-BSB0IxBQ.js');
require('../../chunks/bundle-DECaw4lg.js');
require('../../ui/IconButton.js');
require('../../ui/Button.js');
require('../../chunks/bundle-DzHIrb6T.js');
require('../../chunks/bundle-CAcwnk2Q.js');
require('dompurify');
require('../../chunks/bundle-ConY3ho5.js');
require('../../chunks/bundle-CSBpiQKa.js');
require('../../chunks/bundle-4KV6_8wa.js');
require('../../ui/Icon.js');
require('../../chunks/bundle-8acuAHPD.js');
require('../../chunks/bundle-DdnCy8Je.js');
require('@sendbird/chat/groupChannel');
require('../../utils/message/getOutgoingMessageState.js');
require('../../chunks/bundle-71dqgbWK.js');
require('../../chunks/bundle-B8JKZQ6b.js');
require('../../chunks/bundle-BE0tBkIE.js');
require('../../chunks/bundle-MlGqIlFr.js');
require('../../chunks/bundle-BDeo4Lwx.js');
require('../../chunks/bundle-CnSWKGc4.js');
require('../../chunks/bundle-BT-tqAqU.js');
require('@sendbird/chat');
require('@sendbird/chat/openChannel');
require('../../chunks/bundle-D4UzJ-7q.js');
require('../../chunks/bundle-BE91vSly.js');
require('../../chunks/bundle-QDr-C4Po.js');
require('../../chunks/bundle-l3NOX5JV.js');
require('../../chunks/bundle-lMI-nvUj.js');
require('../../chunks/bundle-C8fqEvFP.js');
require('../../hooks/useModal.js');
require('../../chunks/bundle-_5GthuIG.js');
require('react-dom');
require('../../chunks/bundle-DhNJkytP.js');

function _interopDefaultCompat (e) { return e && typeof e === 'object' && 'default' in e ? e : { default: e }; }

var React__default = /*#__PURE__*/_interopDefaultCompat(React);

var OpenChannelInput = React__default.default.forwardRef(function (props, ref) {
    var _a = OpenChannel_context.useOpenChannelContext(), currentOpenChannel = _a.currentOpenChannel, disabled = _a.disabled, handleSendMessage = _a.handleSendMessage, handleFileUpload = _a.handleFileUpload, amIMuted = _a.amIMuted;
    var channel = currentOpenChannel;
    var stringSet = React.useContext(LocalizationContext.LocalizationContext).stringSet;
    var value = props.value;
    function getPlaceHolderString() {
        if (amIMuted) {
            return stringSet.MESSAGE_INPUT__PLACE_HOLDER__MUTED;
        }
        if (disabled) {
            return stringSet.MESSAGE_INPUT__PLACE_HOLDER__DISABLED;
        }
        return '';
    }
    if (!channel) {
        return null;
    }
    return (React__default.default.createElement("div", { className: "sendbird-openchannel-footer" },
        React__default.default.createElement(ui_MessageInput, { channel: currentOpenChannel, ref: ref, value: value, disabled: disabled, isVoiceMessageEnabled: false, onSendMessage: handleSendMessage, onFileUpload: handleFileUpload, placeholder: getPlaceHolderString() })));
});

module.exports = OpenChannelInput;
//# sourceMappingURL=OpenChannelInput.js.map
