'use strict';

var React = require('react');
var index$1 = require('../../chunks/bundle-DWfLEP_0.js');
var ui_Icon = require('../../ui/Icon.js');
var ui_PlaceHolder = require('../../ui/PlaceHolder.js');
var OpenChannel_context = require('../../chunks/bundle-DrnK8T0C.js');
var OpenChannel_components_OpenChannelMessage = require('./OpenChannelMessage.js');
var Message_context = require('../../Message/context.js');
var index = require('../../chunks/bundle-DhWVYFSK.js');
var Channel_utils_compareMessagesForGrouping = require('../../Channel/utils/compareMessagesForGrouping.js');
var useSendbird = require('../../chunks/bundle-CnSWKGc4.js');
var LocalizationContext = require('../../chunks/bundle-JJrresQy.js');
require('../../chunks/bundle-BE0tBkIE.js');
require('../../chunks/bundle-CXy_f9TW.js');
require('../../chunks/bundle-8acuAHPD.js');
require('../../chunks/bundle-DzHIrb6T.js');
require('../../chunks/bundle-C-c3245O.js');
require('../../ui/Loader.js');
require('../../chunks/bundle-CBwYCeZb.js');
require('../../chunks/bundle-D4UzJ-7q.js');
require('../../chunks/bundle-BE91vSly.js');
require('../../chunks/bundle-QDr-C4Po.js');
require('@sendbird/chat');
require('@sendbird/chat/openChannel');
require('../../chunks/bundle-l3NOX5JV.js');
require('../../chunks/bundle-lMI-nvUj.js');
require('../../chunks/bundle-C8fqEvFP.js');
require('../../hooks/useModal.js');
require('../../chunks/bundle-B8JKZQ6b.js');
require('../../chunks/bundle-_5GthuIG.js');
require('react-dom');
require('../../chunks/bundle-DhNJkytP.js');
require('../../ui/IconButton.js');
require('../../ui/Button.js');
require('../../chunks/bundle-BT-tqAqU.js');
require('../../chunks/bundle-MlGqIlFr.js');
require('@sendbird/chat/groupChannel');
require('../../chunks/bundle-DnDLZR4B.js');
require('../../ui/OpenchannelUserMessage.js');
require('../../chunks/bundle-BzwktTo_.js');
require('../../ui/ImageRenderer.js');
require('../../chunks/bundle-93bWzNKo.js');
require('../../ui/SortByRow.js');
require('../../chunks/bundle-DdnCy8Je.js');
require('../../utils/message/getOutgoingMessageState.js');
require('../../chunks/bundle-71dqgbWK.js');
require('../../ui/UserProfile.js');
require('../../sendbirdSelectors.js');
require('../../chunks/bundle-XTL3uso6.js');
require('../../chunks/bundle-BlVuZEFn.js');
require('../../chunks/bundle-C1QA55RE.js');
require('../../ui/OpenChannelAdminMessage.js');
require('../../ui/OpenchannelOGMessage.js');
require('../../ui/LinkLabel.js');
require('../../chunks/bundle-B1baPRRe.js');
require('../../chunks/bundle-BDeo4Lwx.js');
require('../../ui/MentionLabel.js');
require('../../ui/OpenchannelThumbnailMessage.js');
require('../../ui/OpenchannelFileMessage.js');
require('../../ui/TextButton.js');
require('../../chunks/bundle-BzxkBOcv.js');
require('../../ui/DateSeparator.js');
require('../../ui/MessageInput.js');
require('../../chunks/bundle-BSB0IxBQ.js');
require('../../chunks/bundle-DECaw4lg.js');
require('../../chunks/bundle-CAcwnk2Q.js');
require('dompurify');
require('../../chunks/bundle-ConY3ho5.js');
require('../../chunks/bundle-CSBpiQKa.js');
require('../../chunks/bundle-4KV6_8wa.js');
require('../../ui/FileViewer.js');
require('../../chunks/bundle-BWY5IXv2.js');
require('@sendbird/uikit-tools');
require('../../chunks/bundle-DmRLBKRr.js');
require('../../chunks/bundle-Btaa15jO.js');
require('../../chunks/bundle-uvtr8RQn.js');
require('@sendbird/chat/message');

function _interopDefaultCompat (e) { return e && typeof e === 'object' && 'default' in e ? e : { default: e }; }

var React__default = /*#__PURE__*/_interopDefaultCompat(React);

function OpenChannelMessageList(props, ref) {
    var _a = OpenChannel_context.useOpenChannelContext(), _b = _a.isMessageGroupingEnabled, isMessageGroupingEnabled = _b === void 0 ? true : _b, allMessages = _a.allMessages, hasMore = _a.hasMore, onScroll = _a.onScroll;
    var state = useSendbird.useSendbird().state;
    var stringSet = LocalizationContext.useLocalization().stringSet;
    var userId = state.config.userId;
    var localRef = React.useRef(null);
    var scrollRef = ref || localRef;
    var _c = React.useState(false), showScrollDownButton = _c[0], setShowScrollDownButton = _c[1];
    var scrollToBottom = function () {
        if (scrollRef && 'current' in scrollRef && scrollRef.current) {
            scrollRef.current.scrollTo(0, scrollRef.current.scrollHeight);
            setShowScrollDownButton(false);
        }
    };
    var handleOnScroll = index.useHandleOnScrollCallback({
        setShowScrollDownButton: setShowScrollDownButton,
        hasMore: hasMore,
        onScroll: onScroll,
        scrollRef: scrollRef,
    });
    var memoizedMessageList = React.useMemo(function () {
        var _a;
        if (allMessages.length > 0) {
            return (allMessages.map(function (message, index) {
                var _a;
                var previousMessage = allMessages[index - 1];
                var nextMessage = allMessages[index - 1];
                var previousMessageCreatedAt = previousMessage && previousMessage.createdAt;
                var currentCreatedAt = message === null || message === void 0 ? void 0 : message.createdAt;
                // https://stackoverflow.com/a/41855608
                var hasSeparator = !(previousMessageCreatedAt && (index$1.isSameDay(currentCreatedAt, previousMessageCreatedAt)));
                var _b = isMessageGroupingEnabled
                    ? Channel_utils_compareMessagesForGrouping.compareMessagesForGrouping(previousMessage, message, nextMessage, stringSet)
                    : [false, false], chainTop = _b[0], chainBottom = _b[1];
                var isByMe = ((_a = message === null || message === void 0 ? void 0 : message.sender) === null || _a === void 0 ? void 0 : _a.userId) === userId;
                var key = (message === null || message === void 0 ? void 0 : message.messageId) || (message === null || message === void 0 ? void 0 : message.reqId);
                return (React__default.default.createElement(Message_context.MessageProvider, { message: message, isByMe: isByMe, key: key },
                    React__default.default.createElement(OpenChannel_components_OpenChannelMessage, { message: message, chainTop: chainTop, chainBottom: chainBottom, hasSeparator: hasSeparator, renderMessage: props === null || props === void 0 ? void 0 : props.renderMessage })));
            }));
        }
        return (((_a = props === null || props === void 0 ? void 0 : props.renderPlaceHolderEmptyList) === null || _a === void 0 ? void 0 : _a.call(props)) || (React__default.default.createElement(ui_PlaceHolder.default, { className: "sendbird-openchannel-conversation-scroll__container__place-holder", type: ui_PlaceHolder.PlaceHolderTypes.NO_MESSAGES })));
    }, [allMessages]);
    return (React__default.default.createElement("div", { className: "sendbird-openchannel-conversation-scroll" },
        React__default.default.createElement("div", { className: "sendbird-openchannel-conversation-scroll__container" },
            React__default.default.createElement("div", { className: "sendbird-openchannel-conversation-scroll__container__padding" }),
            React__default.default.createElement("div", { className: [
                    'sendbird-openchannel-conversation-scroll__container__item-container',
                    (allMessages.length > 0) ? '' : 'no-messages',
                ].join(' '), onScroll: handleOnScroll, ref: scrollRef }, memoizedMessageList)),
        showScrollDownButton && (React__default.default.createElement("div", { className: "sendbird-openchannel-conversation-scroll__container__scroll-bottom-button", onClick: scrollToBottom, onKeyDown: scrollToBottom, tabIndex: 0, role: "button" },
            React__default.default.createElement(ui_Icon.default, { width: "24px", height: "24px", type: ui_Icon.IconTypes.CHEVRON_DOWN, fillColor: ui_Icon.IconColors.CONTENT })))));
}
var OpenChannelMessageList$1 = React__default.default.forwardRef(OpenChannelMessageList);

module.exports = OpenChannelMessageList$1;
//# sourceMappingURL=OpenChannelMessageList.js.map
