'use strict';

var React = require('react');
var OpenChannel_context = require('../../chunks/bundle-DrnK8T0C.js');
var OpenChannel_components_OpenChannelInput = require('./OpenChannelInput.js');
var OpenChannel_components_FrozenChannelNotification = require('./FrozenChannelNotification.js');
var OpenChannel_components_OpenChannelHeader = require('./OpenChannelHeader.js');
var ui_PlaceHolder = require('../../ui/PlaceHolder.js');
var OpenChannel_components_OpenChannelMessageList = require('./OpenChannelMessageList.js');
require('../../chunks/bundle-JJrresQy.js');
require('../../chunks/bundle-CXy_f9TW.js');
require('../../chunks/bundle-C-c3245O.js');
require('../../chunks/bundle-CBwYCeZb.js');
require('../../chunks/bundle-D4UzJ-7q.js');
require('../../chunks/bundle-CnSWKGc4.js');
require('../../chunks/bundle-BT-tqAqU.js');
require('../../chunks/bundle-MlGqIlFr.js');
require('@sendbird/chat');
require('@sendbird/chat/groupChannel');
require('@sendbird/chat/openChannel');
require('../../chunks/bundle-BE91vSly.js');
require('../../chunks/bundle-QDr-C4Po.js');
require('../../chunks/bundle-l3NOX5JV.js');
require('../../chunks/bundle-lMI-nvUj.js');
require('../../chunks/bundle-C8fqEvFP.js');
require('../../hooks/useModal.js');
require('../../chunks/bundle-B8JKZQ6b.js');
require('../../chunks/bundle-8acuAHPD.js');
require('../../chunks/bundle-_5GthuIG.js');
require('react-dom');
require('../../chunks/bundle-DhNJkytP.js');
require('../../ui/IconButton.js');
require('../../ui/Button.js');
require('../../chunks/bundle-DzHIrb6T.js');
require('../../ui/Icon.js');
require('../../ui/MessageInput.js');
require('../../chunks/bundle-BSB0IxBQ.js');
require('../../chunks/bundle-DECaw4lg.js');
require('../../chunks/bundle-CAcwnk2Q.js');
require('dompurify');
require('../../chunks/bundle-ConY3ho5.js');
require('../../chunks/bundle-CSBpiQKa.js');
require('../../chunks/bundle-4KV6_8wa.js');
require('../../chunks/bundle-DdnCy8Je.js');
require('../../utils/message/getOutgoingMessageState.js');
require('../../chunks/bundle-71dqgbWK.js');
require('../../chunks/bundle-BE0tBkIE.js');
require('../../chunks/bundle-BDeo4Lwx.js');
require('../../chunks/bundle-BzwktTo_.js');
require('../../ui/ImageRenderer.js');
require('../../ui/Loader.js');
require('../../chunks/bundle-DWfLEP_0.js');
require('./OpenChannelMessage.js');
require('../../chunks/bundle-DnDLZR4B.js');
require('../../ui/OpenchannelUserMessage.js');
require('../../chunks/bundle-93bWzNKo.js');
require('../../ui/SortByRow.js');
require('../../ui/UserProfile.js');
require('../../sendbirdSelectors.js');
require('../../chunks/bundle-XTL3uso6.js');
require('../../chunks/bundle-BlVuZEFn.js');
require('../../chunks/bundle-C1QA55RE.js');
require('../../ui/OpenChannelAdminMessage.js');
require('../../ui/OpenchannelOGMessage.js');
require('../../ui/LinkLabel.js');
require('../../chunks/bundle-B1baPRRe.js');
require('../../Message/context.js');
require('../../ui/MentionLabel.js');
require('../../ui/OpenchannelThumbnailMessage.js');
require('../../ui/OpenchannelFileMessage.js');
require('../../ui/TextButton.js');
require('../../chunks/bundle-BzxkBOcv.js');
require('../../ui/DateSeparator.js');
require('../../ui/FileViewer.js');
require('../../chunks/bundle-BWY5IXv2.js');
require('@sendbird/uikit-tools');
require('../../chunks/bundle-DmRLBKRr.js');
require('../../chunks/bundle-DhWVYFSK.js');
require('../../chunks/bundle-Btaa15jO.js');
require('../../chunks/bundle-uvtr8RQn.js');
require('@sendbird/chat/message');
require('../../Channel/utils/compareMessagesForGrouping.js');

function _interopDefaultCompat (e) { return e && typeof e === 'object' && 'default' in e ? e : { default: e }; }

var React__default = /*#__PURE__*/_interopDefaultCompat(React);

var COMPONENT_CLASS_NAME = 'sendbird-openchannel-conversation';
var OpenChannelUI = function (_a) {
    var renderMessage = _a.renderMessage, renderHeader = _a.renderHeader, renderPlaceHolderEmptyList = _a.renderPlaceHolderEmptyList, renderPlaceHolderError = _a.renderPlaceHolderError, renderPlaceHolderLoading = _a.renderPlaceHolderLoading, renderMessageInput = _a.renderMessageInput, renderInput = _a.renderInput;
    var _b = OpenChannel_context.useOpenChannelContext(), currentOpenChannel = _b.currentOpenChannel, amIBanned = _b.amIBanned, loading = _b.loading, isInvalid = _b.isInvalid, messageInputRef = _b.messageInputRef, conversationScrollRef = _b.conversationScrollRef;
    if (!currentOpenChannel
        || !(currentOpenChannel === null || currentOpenChannel === void 0 ? void 0 : currentOpenChannel.url)
        || amIBanned) {
        return ((renderPlaceHolderError === null || renderPlaceHolderError === void 0 ? void 0 : renderPlaceHolderError())
            || React__default.default.createElement("div", { className: COMPONENT_CLASS_NAME },
                React__default.default.createElement(ui_PlaceHolder.default, { type: ui_PlaceHolder.PlaceHolderTypes.NO_CHANNELS })));
    }
    if (loading) {
        return ((renderPlaceHolderLoading === null || renderPlaceHolderLoading === void 0 ? void 0 : renderPlaceHolderLoading())
            || React__default.default.createElement("div", { className: COMPONENT_CLASS_NAME },
                React__default.default.createElement(ui_PlaceHolder.default, { type: ui_PlaceHolder.PlaceHolderTypes.LOADING })));
    }
    if (isInvalid) {
        return ((renderPlaceHolderError === null || renderPlaceHolderError === void 0 ? void 0 : renderPlaceHolderError())
            || React__default.default.createElement("div", { className: COMPONENT_CLASS_NAME },
                React__default.default.createElement(ui_PlaceHolder.default, { type: ui_PlaceHolder.PlaceHolderTypes.WRONG })));
    }
    var renderInputComponent = renderMessageInput || renderInput;
    return (React__default.default.createElement("div", { className: COMPONENT_CLASS_NAME },
        (renderHeader === null || renderHeader === void 0 ? void 0 : renderHeader()) || React__default.default.createElement(OpenChannel_components_OpenChannelHeader, null),
        (currentOpenChannel === null || currentOpenChannel === void 0 ? void 0 : currentOpenChannel.isFrozen) && React__default.default.createElement(OpenChannel_components_FrozenChannelNotification, null),
        React__default.default.createElement(OpenChannel_components_OpenChannelMessageList, { ref: conversationScrollRef, renderMessage: renderMessage, renderPlaceHolderEmptyList: renderPlaceHolderEmptyList }),
        (renderInputComponent === null || renderInputComponent === void 0 ? void 0 : renderInputComponent()) || React__default.default.createElement(OpenChannel_components_OpenChannelInput, { ref: messageInputRef })));
};

module.exports = OpenChannelUI;
//# sourceMappingURL=OpenChannelUI.js.map
