'use strict';

var _tslib = require('../../chunks/bundle-CXy_f9TW.js');
var React = require('react');
var Thread_components_ThreadListItem = require('./ThreadListItem.js');
var Channel_utils_compareMessagesForGrouping = require('../../Channel/utils/compareMessagesForGrouping.js');
var dateFns = require('date-fns');
var Message_context = require('../../Message/context.js');
var resolvedReplyType = require('../../chunks/bundle-CUl9TucN.js');
var ThreadProvider = require('../../chunks/bundle-QWl8QUDg.js');
var useSendbird = require('../../chunks/bundle-CnSWKGc4.js');
var LocalizationContext = require('../../chunks/bundle-JJrresQy.js');
require('../../chunks/bundle-DnDLZR4B.js');
require('../../chunks/bundle-BE0tBkIE.js');
require('../../chunks/bundle-CBwYCeZb.js');
require('../../ui/DateSeparator.js');
require('../../chunks/bundle-BzxkBOcv.js');
require('../../chunks/bundle-DzHIrb6T.js');
require('../../chunks/bundle-C-c3245O.js');
require('../../chunks/bundle-5zygIx0U.js');
require('../../chunks/bundle-_5GthuIG.js');
require('react-dom');
require('../../chunks/bundle-8acuAHPD.js');
require('../../chunks/bundle-DhNJkytP.js');
require('../../ui/IconButton.js');
require('../../ui/Button.js');
require('../../ui/Icon.js');
require('../../chunks/bundle-l3NOX5JV.js');
require('../../chunks/bundle-DmRLBKRr.js');
require('../../chunks/bundle-DdnCy8Je.js');
require('@sendbird/chat/groupChannel');
require('../../utils/message/getOutgoingMessageState.js');
require('../../chunks/bundle-71dqgbWK.js');
require('../../chunks/bundle-B8JKZQ6b.js');
require('../../chunks/bundle-MlGqIlFr.js');
require('../../ui/FileViewer.js');
require('../../hooks/useModal.js');
require('../../chunks/bundle-BT-tqAqU.js');
require('@sendbird/chat');
require('@sendbird/chat/openChannel');
require('../../chunks/bundle-BzwktTo_.js');
require('../../ui/ImageRenderer.js');
require('../../chunks/bundle-C8fqEvFP.js');
require('../../chunks/bundle-BWY5IXv2.js');
require('@sendbird/uikit-tools');
require('../../chunks/bundle-9YGI1VxU.js');
require('../../chunks/bundle-Ce65LzvC.js');
require('../../chunks/bundle-DECaw4lg.js');
require('../../chunks/bundle-BSB0IxBQ.js');
require('../../ui/MessageInput.js');
require('../../chunks/bundle-CAcwnk2Q.js');
require('dompurify');
require('../../chunks/bundle-ConY3ho5.js');
require('../../chunks/bundle-CSBpiQKa.js');
require('../../chunks/bundle-4KV6_8wa.js');
require('../../chunks/bundle-BDeo4Lwx.js');
require('../context/types.js');
require('../../chunks/bundle-93bWzNKo.js');
require('../../ui/SortByRow.js');
require('../../ui/MessageItemReactionMenu.js');
require('../../ui/ReactionButton.js');
require('../../chunks/bundle-C1QA55RE.js');
require('../../chunks/bundle-BXOwJFmM.js');
require('../../ui/Loader.js');
require('../../chunks/bundle-CPZpGOT4.js');
require('../../chunks/bundle-DWfLEP_0.js');
require('../../ui/EmojiReactions.js');
require('../../ui/ReactionBadge.js');
require('../../ui/BottomSheet.js');
require('../../ui/UserListItem.js');
require('../../chunks/bundle-D4UzJ-7q.js');
require('../../ui/MutedAvatarOverlay.js');
require('../../ui/Checkbox.js');
require('../../ui/UserProfile.js');
require('../../sendbirdSelectors.js');
require('../../chunks/bundle-QDr-C4Po.js');
require('../../ui/Tooltip.js');
require('../../ui/TooltipWrapper.js');
require('../../chunks/bundle-BB7JE5l0.js');
require('../../ui/MobileMenu.js');
require('../../chunks/bundle-mD8GLt1R.js');
require('@sendbird/chat/message');
require('../../chunks/bundle-D1gn3U0O.js');
require('../../chunks/bundle-Q5vg6IPH.js');
require('../../chunks/bundle-DOEBAaWF.js');
require('../../ui/OGMessageItemBody.js');
require('../../chunks/bundle-B1baPRRe.js');
require('../../ui/MentionLabel.js');
require('../../ui/LinkLabel.js');
require('../../ui/TextMessageItemBody.js');
require('../../ui/FileMessageItemBody.js');
require('../../ui/TextButton.js');
require('../../ui/VoiceMessageItemBody.js');
require('../../ui/ProgressBar.js');
require('../../VoicePlayer/useVoicePlayer.js');
require('../../chunks/bundle-BYpTrdEd.js');
require('../../VoiceRecorder/context.js');
require('../../ui/PlaybackTime.js');
require('../../ui/ThumbnailMessageItemBody.js');
require('../../chunks/bundle-DmhwxDam.js');
require('../../ui/UnknownMessageItemBody.js');
require('../../ui/TemplateMessageItemBody.js');
require('../../chunks/bundle-Dy1QxkVu.js');
require('../../ui/FallbackTemplateMessageItemBody.tsx.js');
require('../../ui/LoadingTemplateMessageItemBody.tsx.js');
require('../../ui/MessageFeedbackFailedModal.js');
require('../../chunks/bundle-BJWbfoHg.js');
require('../../chunks/bundle-S-xcssWx.js');
require('../../Message/hooks/useDirtyGetMentions.js');
require('../../chunks/bundle-BISpveo1.js');
require('../../chunks/bundle-uvtr8RQn.js');
require('../../chunks/bundle-BE91vSly.js');
require('../../chunks/bundle-x_V9zseQ.js');

function _interopDefaultCompat (e) { return e && typeof e === 'object' && 'default' in e ? e : { default: e }; }

var React__default = /*#__PURE__*/_interopDefaultCompat(React);

function ThreadList(_a) {
    var className = _a.className, _b = _a.renderMessage, renderMessage = _b === void 0 ? function (props) { return React__default.default.createElement(Thread_components_ThreadListItem, _tslib.__assign({}, props)); } : _b, renderCustomSeparator = _a.renderCustomSeparator, scrollRef = _a.scrollRef, scrollBottom = _a.scrollBottom;
    var config = useSendbird.useSendbird().state.config;
    var stringSet = LocalizationContext.useLocalization().stringSet;
    var userId = config.userId;
    var _c = ThreadProvider.useThread().state, currentChannel = _c.currentChannel, allThreadMessages = _c.allThreadMessages, localThreadMessages = _c.localThreadMessages;
    return (React__default.default.createElement("div", { className: "sendbird-thread-list ".concat(className) },
        allThreadMessages.map(function (message, idx) {
            var _a;
            var isByMe = ((_a = message === null || message === void 0 ? void 0 : message.sender) === null || _a === void 0 ? void 0 : _a.userId) === userId;
            var prevMessage = allThreadMessages[idx - 1];
            var nextMessage = allThreadMessages[idx + 1];
            // eslint-disable-next-line no-constant-condition
            var _b = Channel_utils_compareMessagesForGrouping.compareMessagesForGrouping(prevMessage, message, nextMessage, stringSet, currentChannel, resolvedReplyType.getCaseResolvedReplyType(config.groupChannel.replyType).upperCase)
                , chainTop = _b[0], chainBottom = _b[1];
            var hasSeparator = !((prevMessage === null || prevMessage === void 0 ? void 0 : prevMessage.createdAt) > 0 && (dateFns.isSameDay(message === null || message === void 0 ? void 0 : message.createdAt, prevMessage === null || prevMessage === void 0 ? void 0 : prevMessage.createdAt)));
            var handleScroll = function () {
                var current = scrollRef === null || scrollRef === void 0 ? void 0 : scrollRef.current;
                if (current && scrollBottom) {
                    var bottom = current.scrollHeight - current.scrollTop - current.offsetHeight;
                    if (scrollBottom < bottom) {
                        current.scrollTop += bottom - scrollBottom;
                    }
                }
            };
            return (React__default.default.createElement(Message_context.MessageProvider, { message: message, isByMe: isByMe, key: message === null || message === void 0 ? void 0 : message.messageId }, renderMessage({
                message: message,
                chainTop: chainTop,
                chainBottom: chainBottom,
                hasSeparator: hasSeparator,
                renderCustomSeparator: renderCustomSeparator,
                handleScroll: handleScroll,
            })));
        }),
        localThreadMessages.map(function (message) {
            var _a;
            var isByMe = ((_a = message === null || message === void 0 ? void 0 : message.sender) === null || _a === void 0 ? void 0 : _a.userId) === userId;
            var handleScroll = function () {
                var current = scrollRef === null || scrollRef === void 0 ? void 0 : scrollRef.current;
                if (current) {
                    var bottom = current.scrollHeight - current.scrollTop - current.offsetHeight;
                    if (scrollBottom < bottom) {
                        current.scrollTop += bottom - scrollBottom;
                    }
                }
            };
            return (React__default.default.createElement(Message_context.MessageProvider, { message: message, isByMe: isByMe, key: message === null || message === void 0 ? void 0 : message.messageId }, renderMessage({
                message: message,
                hasSeparator: false,
                renderCustomSeparator: renderCustomSeparator,
                handleScroll: handleScroll,
            })));
        })));
}

module.exports = ThreadList;
//# sourceMappingURL=ThreadList.js.map
